-- BatmanStoreFilter
--  (trtt)
--
--
--        _==/          i     i          \==_
--      /XX/            |\___/|            \XX\
--    /XXXX\            |XXXXX|            /XXXX\
--   |XXXXXX\_         _XXXXXXX_         _/XXXXXX|
--  XXXXXXXXXXXxxxxxxxXXXXXXXXXXXxxxxxxxXXXXXXXXXXX
-- |XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX|
-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
-- |XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX|
--  XXXXXX/^^^^"\XXXXXXXXXXXXXXXXXXXXX/^^^^^\XXXXXX
--   |XXX|       \XXX/^^\XXXXX/^^\XXX/       |XXX|
--     \XX\       \X/    \XXX/    \X/       /XX/
--        "\       "      \X/      "      /"
--
--

local BatmanFilter = ZO_TradingHouseMultiFilter:Subclass()

function BatmanFilter:New(...)
    return ZO_TradingHouseMultiFilter.New(self, ...)
end

function BatmanFilter:Initialize(parentControl)
    local control = CreateControlFromVirtual("$(parent)BatmanContainer", parentControl, "TradingHouseSingleComboFilter")
    ZO_TradingHouseMultiFilter.Initialize(self, control)

    local typeData =
    {

	{ ITEMTYPE_ALCHEMY_BASE, nil, "Alchemy (Base)" },
	{ ITEMTYPE_REAGENT, nil, "Alchemy (Reagent)" },
        { ITEMTYPE_BLACKSMITHING_RAW_MATERIAL, nil, "Blacksmithing (Raw Material)" },
        { ITEMTYPE_BLACKSMITHING_MATERIAL, nil, "Blacksmithing (Material)" },
        { ITEMTYPE_BLACKSMITHING_BOOSTER, nil, "Blacksmithing (Booster)" },
        { ITEMTYPE_CLOTHIER_RAW_MATERIAL, nil, "Clothing (Raw Material)" },
        { ITEMTYPE_CLOTHIER_MATERIAL, nil, "Clothing (Material)" },
        { ITEMTYPE_CLOTHIER_BOOSTER, nil, "Clothing (Booster)" },
        { ITEMTYPE_ENCHANTING_RUNE, nil, "Enchanting (Rune)" },
        { ITEMTYPE_INGREDIENT, nil, "Provisioning" },
        { ITEMTYPE_WOODWORKING_RAW_MATERIAL, nil, "Woodworking (Raw Material)" },
        { ITEMTYPE_WOODWORKING_MATERIAL, nil, "Woodworking (Material)" },
        { ITEMTYPE_WOODWORKING_BOOSTER, nil, "Woodworking (Booster)" },
        { ITEMTYPE_SCROLL, nil, "Motifs" },
        { ITEMTYPE_RECIPE, nil, "Recipes" },
        { ITEMTYPE_STYLE_MATERIAL, nil, "Style Materials" },

    }

    local function SelectMatType(_, _, entry)
        self.m_craftType = entry.minValue
    end

    ZO_TradingHouse_InitializeRangeComboBox(control:GetNamedChild("Category"), typeData, SelectMatType)
end

function BatmanFilter:ApplyToSearch(search)
    search:SetFilter(TRADING_HOUSE_FILTER_TYPE_ITEM, self.m_craftType)
end

ZO_TradingHouse_RegisterSearchFilter(BatmanFilter, SI_TRADING_HOUSE_BROWSE_ITEM_TYPE_CRAFTING_MATERIALS)
